package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OrhonShzzMapper;
import com.ruoyi.system.domain.OrhonShzz;
import com.ruoyi.system.service.IOrhonShzzService;
import com.ruoyi.common.core.text.Convert;

/**
 * 社会组织信息Service业务层处理
 *
 * @author ruoyi
 * @date 2020-07-20
 */
@org.springframework.stereotype.Service
public class OrhonShzzServiceImpl implements com.ruoyi.system.service.IOrhonShzzService
{
    @org.springframework.beans.factory.annotation.Autowired
    private com.ruoyi.system.mapper.OrhonShzzMapper orhonShzzMapper;

    /**
     * 查询社会组织信息
     *
     * @param id 社会组织信息ID
     * @return 社会组织信息
     */
    @Override
    public com.ruoyi.system.domain.OrhonShzz selectOrhonShzzById(String id)
    {
        return orhonShzzMapper.selectOrhonShzzById(id);
    }

    /**
     * 查询社会组织信息列表
     *
     * @param orhonShzz 社会组织信息
     * @return 社会组织信息
     */
    @Override
    public java.util.List<com.ruoyi.system.domain.OrhonShzz> selectOrhonShzzList(com.ruoyi.system.domain.OrhonShzz orhonShzz)
    {
        return orhonShzzMapper.selectOrhonShzzList(orhonShzz);
    }

    /**
     * 新增社会组织信息
     *
     * @param orhonShzz 社会组织信息
     * @return 结果
     */
    @Override
    public int insertOrhonShzz(com.ruoyi.system.domain.OrhonShzz orhonShzz)
    {
        return orhonShzzMapper.insertOrhonShzz(orhonShzz);
    }

    /**
     * 修改社会组织信息
     *
     * @param orhonShzz 社会组织信息
     * @return 结果
     */
    @Override
    public int updateOrhonShzz(com.ruoyi.system.domain.OrhonShzz orhonShzz)
    {
        return orhonShzzMapper.updateOrhonShzz(orhonShzz);
    }

    /**
     * 删除社会组织信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteOrhonShzzByIds(String ids)
    {
        return orhonShzzMapper.deleteOrhonShzzByIds( com.ruoyi.common.core.text.Convert.toStrArray(ids));
    }

    /**
     * 删除社会组织信息信息
     *
     * @param id 社会组织信息ID
     * @return 结果
     */
    @Override
    public int deleteOrhonShzzById(String id)
    {
        return orhonShzzMapper.deleteOrhonShzzById(id);
    }
    @Override
    public String findQyzs() {
        return orhonShzzMapper.findQyzs();
    }

    @Override
    public String findShzz() {
        return orhonShzzMapper.findShzz();
    }
}
